-- MySQL dump 10.13  Distrib 5.7.27-30, for Linux (x86_64)
--
-- Host: localhost    Database: u0996644_abcsmm
-- ------------------------------------------------------
-- Server version	5.7.27-30

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
/*!50717 SELECT COUNT(*) INTO @rocksdb_has_p_s_session_variables FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_SCHEMA = 'performance_schema' AND TABLE_NAME = 'session_variables' */;
/*!50717 SET @rocksdb_get_is_supported = IF (@rocksdb_has_p_s_session_variables, 'SELECT COUNT(*) INTO @rocksdb_is_supported FROM performance_schema.session_variables WHERE VARIABLE_NAME=\'rocksdb_bulk_load\'', 'SELECT 0') */;
/*!50717 PREPARE s FROM @rocksdb_get_is_supported */;
/*!50717 EXECUTE s */;
/*!50717 DEALLOCATE PREPARE s */;
/*!50717 SET @rocksdb_enable_bulk_load = IF (@rocksdb_is_supported, 'SET SESSION rocksdb_bulk_load = 1', 'SET @rocksdb_dummy_bulk_load = 0') */;
/*!50717 PREPARE s FROM @rocksdb_enable_bulk_load */;
/*!50717 EXECUTE s */;
/*!50717 DEALLOCATE PREPARE s */;

--
-- Table structure for table `blog_categories`
--

DROP TABLE IF EXISTS `blog_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blog_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `category_url` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `blog_categories_id_uindex` (`id`),
  UNIQUE KEY `blog_categories_category_url_uindex` (`category_url`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='рубрики';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blog_categories`
--

LOCK TABLES `blog_categories` WRITE;
/*!40000 ALTER TABLE `blog_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `blog_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blog_category`
--

DROP TABLE IF EXISTS `blog_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blog_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `blog_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `blog_category_blog_categories_id_fk` (`category_id`),
  KEY `blog_category_blogs_id_fk` (`blog_id`),
  CONSTRAINT `blog_category_blog_categories_id_fk` FOREIGN KEY (`category_id`) REFERENCES `blog_categories` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `blog_category_blogs_id_fk` FOREIGN KEY (`blog_id`) REFERENCES `blogs` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='связка блога и категории';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blog_category`
--

LOCK TABLES `blog_category` WRITE;
/*!40000 ALTER TABLE `blog_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `blog_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blogs`
--

DROP TABLE IF EXISTS `blogs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blogs` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `image` varchar(100) NOT NULL,
  `full_body` text NOT NULL,
  `short_body` text NOT NULL,
  `date` datetime NOT NULL,
  `page_url` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blogs`
--

LOCK TABLES `blogs` WRITE;
/*!40000 ALTER TABLE `blogs` DISABLE KEYS */;
/*!40000 ALTER TABLE `blogs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `categories`
--

DROP TABLE IF EXISTS `categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `categories` (
  `CategoryID` int(244) NOT NULL AUTO_INCREMENT,
  `CategoryName` blob NOT NULL,
  `CategoryDescription` blob NOT NULL,
  `CategoryActive` enum('Yes','No') CHARACTER SET latin1 NOT NULL DEFAULT 'Yes',
  `CategoryDate` int(244) NOT NULL,
  PRIMARY KEY (`CategoryID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categories`
--

LOCK TABLES `categories` WRITE;
/*!40000 ALTER TABLE `categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `deposits`
--

DROP TABLE IF EXISTS `deposits`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `deposits` (
  `DepositID` int(244) NOT NULL AUTO_INCREMENT,
  `DepositUserID` int(244) NOT NULL,
  `DepositVerification` blob NOT NULL,
  `DepositAmount` blob NOT NULL,
  `DepositType` enum('Paypal','FreeKassa','Bitcoin') CHARACTER SET latin1 NOT NULL,
  `DepositRefunded` enum('Yes','No') CHARACTER SET latin1 NOT NULL DEFAULT 'No',
  `DepositDate` int(244) NOT NULL,
  PRIMARY KEY (`DepositID`),
  KEY `deposituserid` (`DepositUserID`),
  CONSTRAINT `deposituserid` FOREIGN KEY (`DepositUserID`) REFERENCES `users` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `deposits`
--

LOCK TABLES `deposits` WRITE;
/*!40000 ALTER TABLE `deposits` DISABLE KEYS */;
/*!40000 ALTER TABLE `deposits` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faq`
--

DROP TABLE IF EXISTS `faq`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `faq` (
  `FAQID` int(244) NOT NULL AUTO_INCREMENT,
  `FAQQuestion` blob NOT NULL,
  `FAQAnswer` blob NOT NULL,
  `FAQDate` int(244) NOT NULL,
  PRIMARY KEY (`FAQID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faq`
--

LOCK TABLES `faq` WRITE;
/*!40000 ALTER TABLE `faq` DISABLE KEYS */;
/*!40000 ALTER TABLE `faq` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `logs`
--

DROP TABLE IF EXISTS `logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `logs` (
  `LogID` int(244) NOT NULL AUTO_INCREMENT,
  `LogUserID` int(244) NOT NULL,
  `LogDate` int(244) NOT NULL,
  PRIMARY KEY (`LogID`),
  KEY `loguserid` (`LogUserID`),
  CONSTRAINT `loguserid` FOREIGN KEY (`LogUserID`) REFERENCES `users` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `logs`
--

LOCK TABLES `logs` WRITE;
/*!40000 ALTER TABLE `logs` DISABLE KEYS */;
/*!40000 ALTER TABLE `logs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `orders`
--

DROP TABLE IF EXISTS `orders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `orders` (
  `OrderID` int(244) NOT NULL AUTO_INCREMENT,
  `OrderServiceID` int(244) NOT NULL,
  `OrderUserID` int(244) NOT NULL,
  `OrderQuantity` int(244) NOT NULL,
  `OrderLink` blob NOT NULL,
  `OrderCharge` blob NOT NULL,
  `OrderAPIID` int(244) DEFAULT '0',
  `OrderStatus` enum('Completed','Processing','Pending','Canceled','Refunded','Deleted') NOT NULL DEFAULT 'Processing',
  `OrderStartCount` int(244) DEFAULT '0',
  `OrderType` enum('Panel','API') NOT NULL DEFAULT 'Panel',
  `OrderAdditional` blob,
  `OrderDate` int(244) NOT NULL,
  PRIMARY KEY (`OrderID`),
  KEY `orderserviceid` (`OrderServiceID`),
  KEY `orderuserid` (`OrderUserID`),
  CONSTRAINT `orderserviceid` FOREIGN KEY (`OrderServiceID`) REFERENCES `services` (`ServiceID`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `orderuserid` FOREIGN KEY (`OrderUserID`) REFERENCES `users` (`UserID`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `orders`
--

LOCK TABLES `orders` WRITE;
/*!40000 ALTER TABLE `orders` DISABLE KEYS */;
/*!40000 ALTER TABLE `orders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `refer_deduction`
--

DROP TABLE IF EXISTS `refer_deduction`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `refer_deduction` (
  `id` int(244) NOT NULL AUTO_INCREMENT,
  `refer` int(244) NOT NULL,
  `sum` float NOT NULL,
  `date` int(244) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `referr` (`refer`),
  CONSTRAINT `refer_deduction_ibfk_1` FOREIGN KEY (`refer`) REFERENCES `referrs` (`ReferrID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `refer_deduction`
--

LOCK TABLES `refer_deduction` WRITE;
/*!40000 ALTER TABLE `refer_deduction` DISABLE KEYS */;
/*!40000 ALTER TABLE `refer_deduction` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `referrs`
--

DROP TABLE IF EXISTS `referrs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `referrs` (
  `ReferrID` int(244) NOT NULL AUTO_INCREMENT,
  `ReferrUserID` int(244) NOT NULL,
  `ReferrReferralUserID` int(244) NOT NULL,
  `ReferrPaid` enum('Yes','No') NOT NULL DEFAULT 'Yes',
  `ReferrDate` int(244) NOT NULL,
  PRIMARY KEY (`ReferrID`),
  KEY `refferuserid` (`ReferrUserID`),
  KEY `referrreferraluserid` (`ReferrReferralUserID`),
  CONSTRAINT `referrreferraluserid` FOREIGN KEY (`ReferrReferralUserID`) REFERENCES `users` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `refferuserid` FOREIGN KEY (`ReferrUserID`) REFERENCES `users` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `referrs`
--

LOCK TABLES `referrs` WRITE;
/*!40000 ALTER TABLE `referrs` DISABLE KEYS */;
/*!40000 ALTER TABLE `referrs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `services`
--

DROP TABLE IF EXISTS `services`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `services` (
  `ServiceID` int(244) NOT NULL AUTO_INCREMENT,
  `ServiceName` blob NOT NULL,
  `ServiceDescription` blob NOT NULL,
  `ServiceCategoryID` int(244) NOT NULL,
  `ServiceAPI` blob,
  `ServiceOrderAPI` blob,
  `ServiceType` enum('default','comments','hashtag','mentions') CHARACTER SET latin1 NOT NULL DEFAULT 'default',
  `ServicePrice` blob NOT NULL,
  `ServiceMinQuantity` int(244) NOT NULL,
  `ServiceMaxQuantity` int(244) NOT NULL,
  `ServiceResellerPrice` blob,
  `ServiceActive` enum('Yes','No') CHARACTER SET latin1 NOT NULL DEFAULT 'Yes',
  `ServiceDate` int(244) NOT NULL,
  PRIMARY KEY (`ServiceID`),
  KEY `servicecategoryid` (`ServiceCategoryID`),
  CONSTRAINT `servicecategoryid` FOREIGN KEY (`ServiceCategoryID`) REFERENCES `categories` (`CategoryID`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `services`
--

LOCK TABLES `services` WRITE;
/*!40000 ALTER TABLE `services` DISABLE KEYS */;
/*!40000 ALTER TABLE `services` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `settings`
--

DROP TABLE IF EXISTS `settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `settings` (
  `NotificationEmail` blob NOT NULL,
  `PaypalEmail` blob NOT NULL,
  `FkShopId` varchar(128) NOT NULL,
  `FkSecret` varchar(128) NOT NULL,
  `IPLock` enum('Yes','No') CHARACTER SET latin1 NOT NULL DEFAULT 'No',
  `RestrictRegistrations` enum('Yes','No') CHARACTER SET latin1 NOT NULL DEFAULT 'No',
  `WebsiteName` blob NOT NULL,
  `WebsiteQuote` blob NOT NULL,
  `SkypeID` blob,
  `FacebookPageURL` blob,
  `TwitterPageURL` blob,
  `GooglePlusURL` blob,
  `BehanceURL` blob,
  `PinterestURL` blob,
  `LinkedInPlusURL` blob,
  `YoutubeURL` blob,
  `InstagramURL` blob,
  `Logo` varchar(244) NOT NULL DEFAULT 'assets/img/logo.png',
  `Favicon` varchar(244) NOT NULL DEFAULT 'favicon.ico',
  `Currency` varchar(244) NOT NULL DEFAULT 'USD',
  `CurrencySymbol` varchar(244) NOT NULL DEFAULT '$',
  `RequireUserFirstName` enum('Yes','No') DEFAULT 'Yes',
  `RequireUserLastName` enum('Yes','No') DEFAULT 'Yes',
  `RequireUserSkypeID` enum('Yes','No') DEFAULT 'Yes',
  `RequireUserInstagramID` enum('Yes','No') DEFAULT 'Yes',
  `MinDeposit` varchar(244) NOT NULL DEFAULT '5',
  `MaxDeposit` varchar(244) NOT NULL DEFAULT '150',
  `ReferrsPercent` varchar(244) NOT NULL DEFAULT '5',
  `IPWhitelist` enum('Yes','No') NOT NULL DEFAULT 'No'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 MIN_ROWS=1 MAX_ROWS=1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `settings`
--

LOCK TABLES `settings` WRITE;
/*!40000 ALTER TABLE `settings` DISABLE KEYS */;
INSERT INTO `settings` VALUES ('',_binary 'morz05@mail.ru','','','No','No',_binary ' ',_binary 'SMM PANEL','','','',_binary 'Накрутка в социальные сети',NULL,NULL,'',NULL,_binary 'http://instagram.com/','theme/img/logo2.png','/favicon.ico','Ð ÑƒÐ±Ð»ÑŒ','â‚½','No','No','No','No','1','10','7','No');
/*!40000 ALTER TABLE `settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `UserID` int(244) NOT NULL AUTO_INCREMENT,
  `UserName` text NOT NULL,
  `UserEmail` text NOT NULL,
  `UserPassword` text NOT NULL,
  `UserGroup` enum('user','administrator','reseller') NOT NULL DEFAULT 'user',
  `UserAPI` text NOT NULL,
  `UserBalance` varchar(244) NOT NULL DEFAULT '0',
  `UserAvatar` text NOT NULL,
  `UserDate` int(244) NOT NULL,
  `UserIPAddress` text NOT NULL,
  `UserFirstName` text,
  `UserLastName` text,
  `UserSkypeID` text,
  `UserInstagramID` text,
  PRIMARY KEY (`UserID`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'admin','demo@site.ru','fe01ce2a7fbac8fafaed7c982a04e229','administrator','6c95d41a37f3de12c0666d29eb56366a','99992195.35','',0,'127.0.0.1','','','','');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users_banned`
--

DROP TABLE IF EXISTS `users_banned`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users_banned` (
  `UserBanID` int(244) NOT NULL AUTO_INCREMENT,
  `UserBannedID` int(244) NOT NULL,
  `UserBannedDate` int(244) NOT NULL,
  `UserBannedExpireDate` int(244) NOT NULL,
  `UserBannedReason` blob NOT NULL,
  PRIMARY KEY (`UserBanID`),
  KEY `userbannedid` (`UserBannedID`),
  CONSTRAINT `userbannedid` FOREIGN KEY (`UserBannedID`) REFERENCES `users` (`UserID`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users_banned`
--

LOCK TABLES `users_banned` WRITE;
/*!40000 ALTER TABLE `users_banned` DISABLE KEYS */;
/*!40000 ALTER TABLE `users_banned` ENABLE KEYS */;
UNLOCK TABLES;
/*!50112 SET @disable_bulk_load = IF (@is_rocksdb_supported, 'SET SESSION rocksdb_bulk_load = @old_rocksdb_bulk_load', 'SET @dummy_rocksdb_bulk_load = 0') */;
/*!50112 PREPARE s FROM @disable_bulk_load */;
/*!50112 EXECUTE s */;
/*!50112 DEALLOCATE PREPARE s */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2021-04-03 23:36:10
